<?php 

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

function fwdstatus() {
 loadPandabotConfig("../conf/pandabot.conf");

 $shm_key=fileinode("../bin/pandabot.php");
 $shm = shm_attach($shm_key);
 
 $out=shm_get_var($shm, 3);

 
 if (is_array($out)) { 
  switch($out[0]) {
   case "0":   
     echo "<b><p style='color:lime; display: inline;'>".$out[1].": </p></b>";
     echo "<b><p style='color:white; display: inline;'>".$out[2]."</p></b>";
     echo '<script>
        if ($(".viewcontainer").css("opacity") == 0.1) {
         $(".viewcontainer").fadeTo(1000, 1);
        } 
          </script>';
     echo "";
   break;
   case "1":
     echo "<b><p style='color:red; display: inline;'>".$out[1].": </p></b>";
     echo "<b><p style='color:white; display: inline;'>".$out[2]."</p></b>";
     echo '<script>
        if ($(".viewcontainer").css("opacity") == 1) {
          $(".viewcontainer").fadeTo(1000, 0.1);
        } 
        </script>';
   break;
  } // switch($out[0]) 
 } // if (is_array($out))
} 
?>